Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.emissions.discrete
Class DiscreteEmission

    java.lang.Object
      de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.emissions.discrete.AbstractConditionalDiscreteEmission
          de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.emissions.discrete.DiscreteEmission

All Implemented Interfaces:
  SamplingComponent, SamplingFromStatistic, DifferentiableEmission, Emission, SamplingEmission, Storable, Cloneable

Direct Known Subclasses:
  PhyloDiscreteEmission

    public class DiscreteEmission

extends AbstractConditionalDiscreteEmission

This class implements a simple discrete emission without any condition.

Author:
  Jens Keilwagen, Michael Scharfe, Jan Grau

Field Summary

Fields inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.emissions.discrete.AbstractConditionalDiscreteEmission
`con, counter, ess, grad, hyperParams, logNorm, offset, params, paramsFile, probs, reader, samplingIndex, statistic, writer`

Constructor Summary
`DiscreteEmission(AlphabetContainer con, double ess)` This is a simple constructor for a `DiscreteEmission` based on the equivalent sample size.
`DiscreteEmission(AlphabetContainer con, double[] hyperParams)` This is a simple constructor for a `DiscreteEmission` defining the individual hyper parameters.
`DiscreteEmission(StringBuffer xml)` Creates a `DiscreteEmission` from its XML representation.

Method Summary
`protected int` | `getConditionIndex(boolean forward, int seqPos, Sequence seq)` This method returns an index encoding the condition.
`String` | `toString()`

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.emissions.discrete.AbstractConditionalDiscreteEmission
`acceptParameters, addGradientOfLogPriorTerm, addToStatistic, appendFurtherInformation, clone, drawParametersFromStatistic, estimateFromStatistic, extendSampling, extractFurtherInformation, fillCurrentParameter, fillSamplingGroups, finalize, fromXML, getAlphabetContainer, getHyperParams, getLogGammaScoreFromStatistic, getLogPosteriorFromStatistic, getLogPriorTerm, getLogProbAndPartialDerivationFor, getLogProbFor, getNodeLabel, getNodeShape, getNumberOfParameters, getSizeOfEventSpace, initForSampling, initializeFunctionRandomly, isInSamplingMode, joinStatistics, parseNextParameterSet, parseParameterSet, precompute, resetStatistic, samplingStopped, setLinear, setParameter, setParameterOffset, setParameters, setShape, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscreteEmission

    public DiscreteEmission(AlphabetContainer con,
                            double ess)

  This is a simple constructor for a `DiscreteEmission` based on the equivalent sample size.

  Parameters:
    `con` - the `AlphabetContainer` of this emission
    `ess` - the equivalent sample size (ess) of this emission that is equally distributed over all parameters
  See Also:
    `DiscreteEmission(AlphabetContainer, double[])`

### DiscreteEmission

    public DiscreteEmission(AlphabetContainer con,
                            double[] hyperParams)

  This is a simple constructor for a `DiscreteEmission` defining the individual hyper parameters.

  Parameters:
    `con` - the `AlphabetContainer` of this emission
    `hyperParams` - the individual hyper parameters for each parameter

### DiscreteEmission

    public DiscreteEmission(StringBuffer xml)
                     throws NonParsableException

  Creates a `DiscreteEmission` from its XML representation.

  Parameters:
    `xml` - the XML representation.
  Throws:
    `NonParsableException` - if the XML representation could not be parsed

Method Detail

### getConditionIndex

    protected int getConditionIndex(boolean forward,
                                    int seqPos,
                                    Sequence seq)

  Description copied from class: `AbstractConditionalDiscreteEmission`
  This method returns an index encoding the condition.

  Specified by:
    `getConditionIndex` in class `AbstractConditionalDiscreteEmission`
  Parameters:
    `forward` - a switch to decide whether to use the forward or the reverse complementary strand (e.g. for DNA sequences)
    `seqPos` - the position in the sequence `seq`
    `seq` - the sequence
  Returns:
    the index encoding the condition

### toString

    public String toString()

  Specified by:
    `toString` in class `AbstractConditionalDiscreteEmission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD